$("#Erro").hide();
$("#Sucesso").hide();

$("#btCad").click(function () {
    var URL = 'Funcoes.php?Function=14&DescrRel='
            + $("#DescRel").val() + "&Filtro="
            + $("#Filtro").val() + "&param="
            + $("#param").val() + "&comboTipo="
            + $("#comboTipo").val() + "&textArea="
            + $("#textArea").val();
    $.get(URL, function (resposta) {
        var Resp = JSON.parse(resposta);
        if (Resp.JSON != "OK") {
            $("#descError").html("<b>" + Resp.JSON + "</b>");
            $("#Erro").show();
        } else {
            location.reload();
        }
    });
    $("#Filtro").val("");
    $("#param").val("");
    $("#comboTipo").val(0);
    $("#textArea").val("");
});
$(function ($) {
    remove = function (item) {
        var tr = $(item).closest('tr');
        tr.fadeOut(400, function () {
            tr.remove();
            var URL = "Funcoes.php?Function=15&ID_Parametro=" + (this.id);
            $.get(URL, function (resposta) {
                var Resp = JSON.parse(resposta);
                if (Resp.JSON != "OK") {
                    $("#descError").html("<b>" + Resp.JSON + "</b>");
                    $("#Erro").show();
                }
            });
        });
        return false;
    }
});
$("#btAtual").click(function () {
    if ($("#ID_Destino").val() != "" && $("#DescRel").val() != "" && $("#URL_BD").val() != "" && $("#Usuario").val() != "" && $("#pass").val() != "") {
        var URL = "Funcoes.php?Function=13&ID_Destino="
                + $("#ID_Destino").val() + "&DescRel="
                + $("#DescRel").val() + "&URL_BD="
                + $("#URL_BD").val() + "&Usuario="
                + $("#Usuario").val() + "&pass="
                + $("#pass").val() + "&file="
                + $("#file").val();
        console.log(URL);
        var $formUpload = document.getElementById('cadRel'), i = 0;
        $formUpload.addEventListener('submit', function (event) {
            event.preventDefault();
            var xhr = new XMLHttpRequest();
            xhr.open("POST", $formUpload.getAttribute('action'));
            var formData = new FormData($formUpload);
            formData.append("i", i++);
            xhr.send(formData);
            xhr.upload.addEventListener("load", false);
        }, false);
        $.get(URL, function (resposta) {
            if (resposta != "") {
                $("#descError").html("<b>" + resposta + "</b>");
                $("#Erro").show();
            } else {
                $("#btCad").show();
                $("#TitleParam").show();
                $("#TabelaParam").show();
                $("#FormCadParam_1").show();
                $("#FormCadParam_2").show();
                $("#FormCadParam_3").show();
                $("#TitleTable").show();
                $("#btAtual").show();
                $("#msgSucess").html("Seu relatório foi atualizado com sucesso.");
                $("#Sucesso").show();
                $("#btSal").hide();
                $('#DescRel').attr("readonly", true);
            }
        });
    }
});
$('#pageAnt').click(function () {
    history.back()
});
$('#CloseModal').click(function () {
    $("#Erro").hide();
});
$('#BT_closeModal').click(function () {
    $("#Erro").hide();
});
$('#CloseModalSucess').click(function () {
    $("#Sucesso").hide();
});
$('#BR_CloseModalSucess').click(function () {
    $("#Sucesso").hide();
});